import 'dart:async';

import 'package:aliyun_oss_platform_interface/aliyun_oss_platform_interface.dart';
import 'package:flutter/services.dart';

Future<String?> get platformVersion async {
  return AliyunOSSPlatform.instance.getPlatformVersion();
}

Future<dynamic> init(String endpoint, OSSCredentialProvider provider) {
  return AliyunOSSPlatform.instance.init(endpoint, provider);
}

Future<dynamic> putObject(String bucketName) {
  return AliyunOSSPlatform.instance.putObject(bucketName);
}

void setMethodCallHandler(Future<dynamic> Function(MethodCall call)? handler) {
  return AliyunOSSPlatform.instance.setMethodCallHandler(handler);
}
